Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class HollowState

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.JDOState
            |
            +--com.solarmetric.kodo.runtime.HollowState

class HollowState
extends JDOState

JDO lifecycle state.

Represents a hollow instance that exists in the data store, but whose state has not been loaded and who is not active in the current transaction (if any). This may be the state of instances returned on ID lookups or by traversing relations, and the state of persistent instances outside of transactions (unless the retainValues flag is set in the PersistenceManager).

Fields inherited from class com.solarmetric.kodo.runtime.JDOState
`HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWDELETEDFLUSHED, PNEWFLUSHED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNONTRANS, TCLEAN, TDIRTY, TRANSIENT`

Constructor Summary
`(package private)` | `HollowState()`

Method Summary
`(package private) JDOState` | `beforeNontransactionalRead(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read outside of an active transaction.
`(package private) JDOState` | `beforeNontransactionalWrite(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written outside of an active transaction.
`(package private) JDOState` | `beforeOptimisticRead(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read in an optimistic transaction.
`(package private) JDOState` | `beforeOptimisticWrite(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an optimistic transaction.
`(package private) JDOState` | `beforeRead(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read within an active transaction.
`(package private) JDOState` | `beforeWrite(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an active transaction.
`(package private) JDOState` | `deletePersistent(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.deletePersistent(java.lang.Object)` with the given instance.
`(package private) void` | `initialize(StateManagerImpl context)` Called when this state is first assigned to the given state manager.
`(package private) boolean` | `isPersistent()` Return whether this is a persistent state.
`(package private) JDOState` | `makeTransactional(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeNontransactional(java.lang.Object)` with the given instance.
`(package private) JDOState` | `makeTransient(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeTransient(java.lang.Object)` with the given instance.

Methods inherited from class com.solarmetric.kodo.runtime.JDOState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeCommit, beforeFlush, commit, commitRetain, error, evict, flush, isDeleted, isDirty, isFlushed, isNew, isTransactional, makeNontransactional, makePersistent, rollback, rollbackRetain`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HollowState

    HollowState()

Method Detail

### initialize

    void initialize(StateManagerImpl context)

  Description copied from class: `JDOState`
  Called when this state is first assigned to the given state manager.
  Overrides:
    `initialize` in class `JDOState`

### deletePersistent

    JDOState deletePersistent(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.deletePersistent(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `deletePersistent` in class `JDOState`

### makeTransactional

    JDOState makeTransactional(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeNontransactional(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `makeTransactional` in class `JDOState`

### makeTransient

    JDOState makeTransient(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeTransient(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `makeTransient` in class `JDOState`

### beforeRead

    JDOState beforeRead(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read within an active transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeRead` in class `JDOState`

### beforeOptimisticRead

    JDOState beforeOptimisticRead(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read in an optimistic transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeOptimisticRead` in class `JDOState`

### beforeNontransactionalRead

    JDOState beforeNontransactionalRead(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read outside of an active transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeNontransactionalRead` in class `JDOState`

### beforeWrite

    JDOState beforeWrite(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an active transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeWrite` in class `JDOState`

### beforeOptimisticWrite

    JDOState beforeOptimisticWrite(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an optimistic transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeOptimisticWrite` in class `JDOState`

### beforeNontransactionalWrite

    JDOState beforeNontransactionalWrite(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written outside of an active transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeNontransactionalWrite` in class `JDOState`

### isPersistent

    boolean isPersistent()

  Description copied from class: `JDOState`
  Return whether this is a persistent state. Returns `false` by default.
  Overrides:
    `isPersistent` in class `JDOState`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.